Bug 862186 - No automatic printer configuration
No automatic printer configuration
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On: 863481
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 04:25 EDT by Tim Waugh
Modified: 2012-12-11 19:29 EST (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.3.12-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 19:29:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2012-10-02 04:25:50 EDT
Description of problem:
systemd-udev now kills processes that take too long, and that includes udev-configure-printer.  Seems like it will need to fork() now.

Version-Release number of selected component (if applicable):
system-config-printer-1.3.11-5.fc18.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Connect a USB printer.
  
Actual results:
Messages about configuring a printer, but no queue is configured.

Expected results:
A configured queue ready to print to.
Comment 1 Tim Waugh 2012-10-02 12:23:16 EDT
Looks like the correct solution is to:

* get the udev rule to start udev-configure-printer.service
* adjust the service so it works that way
* fix 'enumerate' mode so it always succeeds (another bug I just spotted)
Comment 2 Tim Waugh 2012-10-05 12:47:57 EDT
Fixed in 1.3.12, although it requires a change to systemd's default udev rules.
Comment 3 Fedora Update System 2012-10-09 05:47:17 EDT
system-config-printer-1.3.12-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/system-config-printer-1.3.12-1.fc18
Comment 4 Fedora Update System 2012-10-09 13:19:50 EDT
Package system-config-printer-1.3.12-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.12-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15705/system-config-printer-1.3.12-1.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-10-23 15:46:51 EDT
Package system-config-printer-1.3.12-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.12-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15705/system-config-printer-1.3.12-2.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-10-26 15:32:44 EDT
Package system-config-printer-1.3.12-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.12-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15705/system-config-printer-1.3.12-3.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-11-19 14:36:42 EST
Package system-config-printer-1.3.12-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.12-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15705/system-config-printer-1.3.12-4.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-11-21 15:55:39 EST
Package system-config-printer-1.3.12-6.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.12-6.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15705/system-config-printer-1.3.12-6.fc18
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-11-27 21:11:05 EST
Package system-config-printer-1.3.12-7.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.3.12-7.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15705/system-config-printer-1.3.12-7.fc18
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-12-11 19:29:07 EST
system-config-printer-1.3.12-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.